Replace the task types allowed for an asset type in a project, instead of the studio workflow. An empty list restores the studio workflow. Task types must be asset task types of the project. You must be a manager of the project.
Responses
-
The project, without its relations. This response does not give asset_types or asset_type_workflows. Use GET /data/projects/
to read the workflow. -
The body is not valid, or the asset type or a task type is not valid for the project
-
You are not a manager of the project
-
The project does not exist
PUT
/data/projects/{project_id}/settings/asset-types/{asset_type_id}/task-types
curl \
--request PUT '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/settings/asset-types/b35b7fb5-df86-5776-b181-68564193d360/task-types' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"task_type_ids": [
"c46c8fc6-e097-6887-c292-796752040e47"
]
}'
Request examples
{
"task_type_ids": [
"c46c8fc6-e097-6887-c292-796752040e47"
]
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "My Project"
}